<?php
/* Plugin Name: XenForo Popular Posts
Plugin URI: www.tuxreportsnetwork.com
Description: Widget to pull the most popular posts from an XF Forum 
Version: 1.0
Author: LPH
Author URI: www.layneheiny.com
*/

class XFPopularPosts extends WP_Widget {
          function XFPopularPosts() {
                    $widget_ops = array(
                    'classname' => 'XFPopularPosts',
                    'description' => 'Widget to pull the most popular posts on a XenForo community'
          );

          $this->WP_Widget(
                    'XFPopularPosts',
                    'XenForo Popular Posts',
                    $widget_ops
          );
}

          function widget($args, $instance) { // widget sidebar output
                    extract($args, EXTR_SKIP);
                    echo $before_widget; // pre-widget code from theme

				$db = XenForo_Application::getDb();
				
				if (!$db) {
				
					die('This script did not connect to the database' . mysql_error() );
				
				}
				
				$thread_qry = "
						SELECT * FROM `xf_thread`
				        ORDER BY `view_count` DESC
				        LIMIT 5
						";
				
				$threads = XenForo_Application::get('db')->fetchAll($thread_qry);
				
				echo ('Most Popular Posts');
				 
				foreach ($threads AS $thread)
				{
				 
				        echo ("<div class='entry-meta'><a href='http://community.tuxreportsnetwork.com/" . XenForo_Link::buildPublicLink('threads', $thread) .    "' >" . XenForo_Helper_String::wholeWordTrim($thread['title'], 38) . "</a> <span style='float:right; margin-right:60px'>Viewed: "  .$thread['view_count'] .       "</span><br /></div>"); // Echo the title with a link. 
				 
				}

                    echo $after_widget; // post-widget code from theme
          }
}

add_action(
          'widgets_init',
          create_function('','return register_widget("XFPopularPosts");')
);
?>